## org.apache.naming
Class NamingEntry

    java.lang.Object
      org.apache.naming.NamingEntry

public class NamingEntry
extends java.lang.Object

Represents a binding in a NamingContext.

Version:
  $Revision: 1.2 $ $Date: 2004/08/26 21:46:17 $
Author:
  Remy Maucherat

Field Summary
`static int` `CONTEXT`
`static int` `ENTRY`
`static int` `LINK_REF`
`java.lang.String` `name`
`static int` `REFERENCE`
`int` `type` The type instance variable is used to avoid unsing RTTI when doing lookups.
`java.lang.Object` `value`

Constructor Summary
`NamingEntry(java.lang.String name, java.lang.Object value, int type)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTRY

    public static final int ENTRY

See Also:
  Constant Field Values

### LINK_REF

    public static final int LINK_REF

See Also:
  Constant Field Values

### REFERENCE

    public static final int REFERENCE

See Also:
  Constant Field Values

### CONTEXT

    public static final int CONTEXT

See Also:
  Constant Field Values

### type

    public int type

  The type instance variable is used to avoid unsing RTTI when doing lookups.

### name

    public java.lang.String name

### value

    public java.lang.Object value

Constructor Detail

### NamingEntry

    public NamingEntry(java.lang.String name,
                       java.lang.Object value,
                       int type)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.